Method: advertisers.lineItems.targetingTypes.assignedTargetingOptions.create

  • This endpoint assigns a targeting option to a line item and returns the assigned targeting option upon success.

  • Concurrent requests to this endpoint are restricted with specific other requests updating the same line item.

  • The request uses a POST method to a URL that includes advertiser ID, line item ID, and targeting type as path parameters.

  • The request body requires an instance of AssignedTargetingOption and the response body returns a newly created instance of it.

  • Authorization for this endpoint requires the https://www.googleapis.com/auth/display-video OAuth scope.

Assigns a targeting option to a line item. Returns the assigned targeting option if successful.

Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser the line item belongs to.

lineItemId

string (int64 format)

Required. The ID of the line item the assigned targeting option will belong to.

targetingType

enum (TargetingType)

Required. Identifies the type of this assigned targeting option.

Request body

The request body contains an instance of AssignedTargetingOption.

Response body

If successful, the response body contains a newly created instance of AssignedTargetingOption.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.